;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;                                                                       ;;
;;;                Centre for Speech Technology Research                  ;;
;;;                     University of Edinburgh, UK                       ;;
;;;                       Copyright (c) 1996,1997                         ;;
;;;                        All Rights Reserved.                           ;;
;;;                                                                       ;;
;;;  Permission to use, copy, modify, distribute this software and its    ;;
;;;  documentation for research, educational and individual use only, is  ;;
;;;  hereby granted without fee, subject to the following conditions:     ;;
;;;   1. The code must retain the above copyright notice, this list of    ;;
;;;      conditions and the following disclaimer.                         ;;
;;;   2. Any modifications must be clearly marked as such.                ;;
;;;   3. Original authors' names are not deleted.                         ;;
;;;  This software may not be used for commercial purposes without        ;;
;;;  specific prior written permission from the authors.                  ;;
;;;                                                                       ;;
;;;  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ;;
;;;  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ;;
;;;  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ;;
;;;  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ;;
;;;  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ;;
;;;  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ;;
;;;  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ;;
;;;  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ;;
;;;  THIS SOFTWARE.                                                       ;;
;;;                                                                       ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;;   A hand specified tree to predict zcore durations
;;;
;;;

(set! msu_ru_nsh::zdur_tree 
 '
   ((R:SylStructure.parent.R:Syllable.p.syl_break > 1 ) ;; clause initial
    ((1.5))
    ((R:SylStructure.parent.syl_break > 1)   ;; clause final
     ((1.5))
     ((1.0)))))

(set! msu_ru_nsh::phone_durs
'(
	(# 0.0 0.250)

	(a 0.0 0.090)
	(e 0.0 0.090)
	(i 0.0 0.080)
	(o 0.0 0.090)
	(u 0.0 0.080)

	(p 0.0 0.100)
	(pp 0.0 0.100)
	(b    0.0 0.065)
	(bb   0.0 0.065)
	(f 0.0 0.100)
	(ff 0.0 0.100)
	(v 0.0 0.100)
	(vv 0.0 0.100)
	(m 0.0 0.070)
	(mm 0.0 0.070)
	(t 0.0 0.085)
	(tt 0.0 0.085)
	(d 0.0 0.085)
	(dd 0.0 0.085)
	(c 0.0 0.110)
	(s 0.0 0.110)
	(ss 0.0 0.110)
	(z 0.0 0.110)
	(zz 0.0 0.110)
	(n 0.0 0.080)
	(nn 0.0 0.080)
	(l 0.0 0.080)
	(ll 0.0 0.105)
	(sh 0.0 0.135)
	(sch 0.0 0.135)
	(zh 0.0 0.135)
	(zhz 0.0 0.135)
	(ch 0.0 0.135)
	(r 0.0 0.030)
	(rr 0.0 0.080)
	(ij 0.0 0.020)
	(k 0.0 0.100)
	(kk 0.0 0.50)
	(g 0.0 0.080)
	(gg 0.0 0.080)
	(h 0.0 0.100)
	(hh 0.0 0.100)
))

(provide 'msu_ru_nsh_durdata)
